package com.ssj.service.sys.fx.service;

import java.util.List;

import com.ssj.bean.sys.fx.domain.Device;
import com.ssj.bean.sys.fx.domain.DeviceActive;
import com.ssj.bean.sys.fx.domain.Merchant;
import com.ssj.framework.core.common.service.BaseService;

public interface DeviceActiveService extends BaseService<DeviceActive, String> {
	
	/**
	 * 分配设备的时候，添加fx_device_active的数据,上下级的数据
	 */
	void saveDeviceActiveByImei(Merchant merchant,String imei);
	
	/**
	 * 激活设备的时候，更新fx_device_active的数据,上下级的数据
	 */
	void activeDeviceActiveByImei(Device device,Merchant merchant,String imei);
	
	
	 DeviceActive getDeviceActiveByPosCode(String posCode);
	
	
	 List<DeviceActive> findDeviceActiveByBatchCode(String batchCode);

}
